GuiPlugin, CurrentPage and EPiServer 7

Vote:
 

Hello

We have a user control using the GuiPlugin attribute to show up in the Edit panel. In this user control we are using the CurrentPage property. This was all developed for EPi 6.

Now I'm trying to run this on EPiServer 7 but I get the following error: ”Page needs to implement IPageSource to access the CurrentPage property”

 

What page shoud implement IPageSource? Or is this error simply a problem of using a noncompatible plugin with Epi7?

Is it possible to get this guiplugin to wok with EpiServer 7 without too much work?

 

Regards

/Kent

#66913
Mar 12, 2013 14:10
Vote:
 

Hi!

Gui-plugins only work for the legacy UI. If you want to convert an existing plug-in to work in the new user interface I suggest that you check the following blog post:

http://world.episerver.com/Blogs/Linus-Ekstrom/Dates/2012/10/Extending-the-User-Interface-of-EPiServer-7/

If you have any post backs in your plug-in you might want to read the comments on how to solve a known issue with that.

#67791
Mar 12, 2013 16:08
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.